Subject: Re: bug#16058: 24.3.50; X protocol error: BadAlloc...

From: Jan Djärv <[email-masked]>
Date: Thu, 5 Dec 2013 20:52:24 +0100

Hello.

5 dec 2013 kl. 18:44 skrev Eli Zaretskii <[email-masked]>:

>> Date: Thu, 05 Dec 2013 12:46:47 +0400
>> From: Dmitry Antipov <[email-masked]>
>> Cc: [email-masked]
>> 
>> This may be annoying. When I build with '--with-x-toolkit=lucid
>> --without-toolkit-scroll-bars --without-gconf --without-gsettings',
>> resulting binary depends on 92 libraries:
> 
> A large portion of those is pulled in by librsvg.
> 
>> So if we have a glitch with some external library, there are 66 libraries
>> under suspicion.
> 
> The immediate suspect is glib, of course.  So I'd first try building
> "--without-rsvg --without-dbus".  (If there are others that require
> glib, build without them as well.)

I have not followed the whole discussion, but if the error is an X protocol error, you can rule out glib, it does no X11 calls.

	Jan D.